routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
  if (Auth::guest())
    return view('auth/login');
  else
    return view('home');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home.index');

Route::get('usuario/permisos', 'BomberoController@permisos')->name('bombero.permisos');
Route::put('usuario/modificar', 'BomberoController@permisosupdate')->name('bombero.permisosupdate');
Route::resource('bombero','BomberoController',['except' => ['show']]);

Route::get('asistencia/rango', 'AsistenciaController@rango')->name('AsistenciaController.rango');
Route::resource('asistencia','AsistenciaController');

Route::get('puntuacion/variables', 'PuntuacionController@variables')->name('puntuacion.variables');
Route::get('puntuacion/anual', 'PuntuacionController@anual')->name('puntuacion.anual');
Route::get('puntuacion/anual/{bombero}/{inicio}/{fin}', 'PuntuacionController@tabla_anual')->name('puntuacion.tabla_anual');
Route::get('puntuacion/bomberos/{mes}/{anio}', 'PuntuacionController@bomberos')->name('puntuacion.bomberos');
Route::get('puntuacion/listar/{mes}/{anio}', 'PuntuacionController@listar')->name('puntuacion.listar');
Route::get('puntuacion/{mes}/{anio}/{bombero}/puntuacionmes', 'PuntuacionController@puntuacionmes')->name('puntuacion.puntuacionmes');
Route::post('puntuacion/variables', 'PuntuacionController@modificaar_variables')->name('puntuacion.modificar');
Route::resource('puntuacion','PuntuacionController');

Route::resource('vehiculo','VehiculoController');

Route::resource('material','MaterialController');

Route::get('servicio/llamada', 'ServicioController@llamada')->name('servicio.llamada');
Route::get('servicio/ultimos', 'ServicioController@ultimos')->name('servicio.ultimos');
Route::get('servicio/activo/{id}', 'ServicioController@finalizarActivo')->name('servicio.finalizarActivo');
route::get('servicio/finalizado', 'ServicioController@finalizado')->name('servicio.finalizado');
Route::get('servicio/estadistica', 'ServicioController@estadistica')->name('servicio.estadistica');
Route::get('servicio/{mes}/{anio}/tabla', 'ServicioController@tabla')->name('servicio.tabla');
Route::post('servicio/guardarPresentes', 'ServicioController@guardar_presentes')->name('servicio.guardar_presentes');
Route::post('servicio/iniciado', 'ServicioController@iniciado')->name('servicio.iniciado');
Route::put('servicio/editarPresentes', 'ServicioController@editar_presentes')->name('servicio.editar_presentes');
Route::put('servicio/activo/{id}/finalizar', 'ServicioController@guardarActivo')->name('servicio.guardarActivo');
Route::put('servicio/activo/{id}/salida', 'ServicioController@salida')->name('servicio.salida');
Route::resource('servicio','ServicioController');

Route::get('ingreso/{id}', 'IngresoController@show')->name('ingreso.show');
Route::get('ingreso/presentes/edit/{servicio}', 'IngresoController@editPresentes')->name('ingreso.editPresentes');
Route::get('ingreso/presentes/{servicio}/{acargo}', 'IngresoController@indexPresentes')->name('ingreso.indexPresentes');
Route::post('ingreso', 'IngresoController@guardarIngreso')->name('ingreso.guardarIngreso');
Route::delete('ingreso/{id}', 'IngresoController@borrarIngreso')->name('ingreso.borrarIngreso');

app/Servicio.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Servicio extends Model
{
  protected $table = 'servicio';
  protected $fillable = ['tipo_servicio_id, tipo_alarma, num_servicio, direccion, descripcion,
            hora_alarma, hora_salida, hora_regreso, ilesos, otros, Superficie, muertos,
            quemados, lesionados, combustible, disposiciones, reconocimiento'];

  public function ScopeTipo_s($query,$tipo)
  {
    if ($tipo>0) {
      $query->where('tipo_servicio_id',$tipo);
    }
  }

  public function ScopeFecha($query,$mes,$año)
  {
    if ($año > 0) {
      if ($mes>0) {
        $query->whereYear('hora_regreso','=',$año)->whereMonth('hora_regreso','=',$mes);
      }else {
        $query->whereYear('hora_regreso','=',$año);
      }
    }else {
      if ($mes>0) {
        $query->whereMonth('hora_regreso','=',$mes);
      }
    }
  }

  public function ScopeTipo_a($query,$tipo)
  {
  if ($tipo>0) {
  $query->where('tipo_alarma',$tipo);
  }
  }

  protected function getActivos()
  {   //servicios activos son aquellos que no tengan hora de regreso marcada
      return $this->whereNull('hora_regreso')->orderBy('id','ASC')->get()->all();
  }

  public function bomberos(){
    return $this->hasMany(BomberoServicio::class);
  }

  public function vehiculos(){
    return $this->hasMany(VehiculoServicio::class);
  }

  public function tipoServicio(){
    return $this->belongsTo(TipoServicio::class);
  }

}

app/Http/Controllers/ServicioController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Requests;
use App\Http\Requests\ServicioRequest;
use App\Servicio;
use App\Bombero;
use App\Vehiculo;
use App\BomberoServicio;
use App\VehiculoServicio;
use App\Ingreso;
use Carbon\Carbon;
use \DateTimeZone;
use Illuminate\Support\Facades\Auth;

class ServicioController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index(Request $request)
    {
      $servicios=Servicio::tipo_s($request['tipo_s'])->tipo_a($request['tipo_a'])
      ->fecha($request['mes'],$request['año'])->paginate(12);
      $ultimos=false;
      return view('servicio/servicios',compact('servicios','ultimos'));
    }

    public function ultimos()
    {
      $servicios=Servicio::orderBy('hora_regreso','DESC')->limit(10)->get();
      $ultimos=true;
      return view('servicio/servicios',compact('servicios','ultimos'));
    }

    public function store(ServicioRequest $request)
    {
      if(Auth::user()->admin){
        $data=$request->all();//obtengo todos los atributos
        $servicio=new Servicio;
        $servicio->num_servicio=$data['num_servicio'];
        $servicio->tipo_servicio_id=$data['tipo'];
        $servicio->tipo_alarma=$data['tipo_alarma'];
        $servicio->direccion=$data['direccion'];
        $servicio->autor_llamada=$data['autor_llamada'];
        $servicio->ilesos=$data['ilesos'];
        $servicio->lesionados=$data['lesionados'];
        $servicio->quemados=$data['quemados'];
        $servicio->muertos=$data['muertos'];
        $servicio->otros=$data['otros'];
        $servicio->Superficie=$data['superficie'];
        $servicio->combustible=$data['combustible'];
        $servicio->reconocimiento=$data['reconocimiento'];
        $servicio->disposiciones=$data['disposiciones'];
        list($dia, $mes, $año) = explode('/', $data['alarma']);
        list($año,$hora) = explode(' ', $año);
        $data['alarma']=$año.'-'.$mes.'-'.$dia.' '.$hora;
        $servicio->hora_alarma=$data['alarma'];

        list($dia, $mes, $año) = explode('/', $data['salida']);
        list($año,$hora) = explode(' ', $año);
        $data['salida']=$año.'-'.$mes.'-'.$dia.' '.$hora;
        $servicio->hora_salida=$data['salida'];

        list($dia, $mes, $año) = explode('/', $data['regreso']);
        list($año,$hora) = explode(' ', $año);
        $data['regreso']=$año.'-'.$mes.'-'.$dia.' '.$hora;
        $servicio->hora_regreso=$data['regreso'];

        $servicio->jefe_servicio=$data['jefe_servicio'];
        $servicio->oficial=$data['oficial'];
        $servicio->jefe_de_cuerpo=$data['jefe_de_cuerpo'];
        if ($servicio->save()) {

          if ($data["bombero"]) {
             //creo las relaciones servicio bomberos                                          tipo_id es tipo asistencia 2 primera dotacion
             $a_cargo = BomberoServicio::create(['servicio_id'=>$servicio->id,'bombero_id'=>$data["bombero"],'tipo_id'=>2,'a_cargo'=>true]);
           }

          if ($data["vehiculo"]!=0) {
            //creo las relaciones servicio Vehiculo
            //Cargamos la primera dotacion al salir
            VehiculoServicio::create(['servicio_id'=>$servicio->id,'vehiculo_id'=>$data['vehiculo'],'primero'=>true]);
            foreach ($data["vehiculos"] as $vehiculo) {
              if ($data["vehiculo"]!=$vehiculo) {//cargamos todos las dotaciones que salieron luego
                VehiculoServicio::create(['servicio_id'=>$servicio->id,'vehiculo_id'=>$vehiculo,'primero'=>false]);
              }
            }
          }

         return redirect()->route('ingreso.indexPresentes',[0=>$servicio->id,1=>$data['bombero']]);
        }else {
          return view('errors/falla');
        }
      }
    }

    public function create(){
      if(Auth::user()->admin){
        $bomberos=Bombero::getBomberos();
        $ingresados = $bomberos;
        $datasv=Vehiculo::where('estado',1)->get();
        $vehiculos = array();
        $vehiculos[0] = "vehiculo...";
        foreach ($datasv as $data)
        {
            $vehiculos[$data->id] = 'Nº - '.$data->num_movil;
        }
        $ultimo=Servicio::select('num_servicio')->orderBy('num_servicio','desc')->first();
        if($ultimo){
          $ultimo=$ultimo->num_servicio+1;
        }else {
          $ultimo=1;
        }
        return view('servicio/finalizado',compact('bomberos','vehiculos','ultimo','ingresados'));
      }
      return view('auth/alerta');
    }

    public function llamada()
    {
      if(Auth::user()->admin){
        return view('servicio/llamada');
      }
      return view('auth/alerta');
    }

    public function finalizarActivo($id)
    {
      if(Auth::user()->admin){
        // cambiar conteniado
        $servicio=Servicio::find($id);
        $bomberos=Bombero::getBomberos();
        $ing=Ingreso::all();
        $ingresados = array();
        if ($ing!=null) {
          $ingresados[0] = "bombero...";
          foreach ($ing as $data)
          {
              $ingresados[$data->id_bombero] = $data->bombero->nombre . " " . $data->bombero->apellido;
          }
        }else {
          $ingresados = $bomberos;
        }
        $datasv=Vehiculo::all(['id', 'num_movil']);
        $vehiculos = array();
        $vehiculos[0] = "vehiculo...";
        foreach ($datasv as $data)
        {
            $vehiculos[$data->id] = 'Nº - '.$data->num_movil;
        }
        return view('servicio/finalizar',compact('bomberos','vehiculos','servicio','ingresados'));
      }
      return view('auth/alerta');
    }


    public function salida($id)
    {
      if(Auth::user()->admin){
        $hsalida = Carbon::now(new DateTimeZone('America/Argentina/Buenos_Aires'))->toDateTimeString();
        $servicio=Servicio::find($id);
        $servicio->hora_salida=$hsalida;
        $servicio->save();
        return redirect()->route('servicio.index');
      }
    }

    public function iniciado(ServicioRequest $data)
    {
      if(Auth::user()->admin){
      if(array_key_exists($data['tipo'], config('selects.tipoServicio'))){
        $servicio=new Servicio;
        $ultimo=Servicio::select('num_servicio')->orderBy('num_servicio','desc')->first();
        if($ultimo){
          $servicio->num_servicio=$ultimo->num_servicio+1;
        }else {
          $servicio->num_servicio=1;
        }
        $servicio->tipo_servicio_id=$data['tipo'];
        $servicio->tipo_alarma=$data['tipo_alarma'];
        $servicio->direccion=$data['direccion'];
        $servicio->autor_llamada=$data['autor_llamada'];

        list($dia, $mes, $año) = explode('/', $data['alarma']);
        list($año,$hora) = explode(' ', $año);
        $data['alarma']=$año.'-'.$mes.'-'.$dia.' '.$hora;
        $servicio->hora_alarma=$data['alarma'];
        if ($servicio->save()) {
         return redirect()->route('servicio.index');
        }else {
          return view('errors/falla');
        }
      }else {
        return view('errors/alteracion');
        }
      }

    }
    public function estadistica()
    {
        return view('servicio/estadistica');
    }

    public function tabla($mes,$año)
    {
        $servicios=Servicio::whereYear('hora_alarma','=',$año)->whereMonth('hora_alarma','=',$mes)->get();
        return view('servicio/estadisticasMes',compact('servicios','mes','año'));
    }

    public function show($id)
    {
        $servicio=Servicio::find($id);
        $bombero=$servicio->bomberos->where('a_cargo',true)->first()->bombero_id;
        $bomberos=$ingresados=Bombero::getBomberos();
        $datavs=Vehiculo::all();
        $vehiculos = array();
        $vehiculos[0] = "vehiculo...";
        foreach ($datavs as $data){
          $vehiculos[$data->id] =  'Nº - '.$data->num_movil;
        }
        $involucrados=array();
        $primero=0;
        foreach ($servicio->vehiculos as $data){
          if ($data->primero) {
            $primero=$data->vehiculo_id;
          }
          $involucrados[] = $data->vehiculo_id;
        }
        return view('servicio/info',compact('servicio','bombero','bomberos',
        'vehiculos','ingresados','involucrados','primero'));
    }

    public function edit($id)
    {
      if(Auth::user()->admin){
        $servicio=Servicio::find($id);
        $bombero=$servicio->bomberos->where('a_cargo',true)->first()->bombero_id;
        $bomberos=$ingresados=Bombero::getBomberos();

        $datavs=Vehiculo::all();
        $vehiculos = array();
        $vehiculos[0] = "vehiculo...";
        foreach ($datavs as $data)
        {
            $vehiculos[$data->id] =  'Nº - '.$data->num_movil;
        }
        $involucrados=array();
        $primero=0;
        foreach ($servicio->vehiculos as $data)
        {
            if ($data->primero) {
              $primero=$data->vehiculo_id;
            }
            $involucrados[] = $data->vehiculo_id;
        }
        return view('servicio/editar',compact('servicio','bombero','bomberos',
        'vehiculos','ingresados','involucrados','primero'));
      }
      return view('auth/alerta');
    }

    public function update(ServicioRequest $request, $id)
    {
      if(Auth::user()->admin){
        $data=$request->all();//obtengo todos los atributos
        $servicio= Servicio::find($id);
        $servicio->num_servicio=$data['num_servicio'];
        $servicio->tipo_servicio_id=$data['tipo'];
        $servicio->tipo_alarma=$data['tipo_alarma'];
        $servicio->direccion=$data['direccion'];
        $servicio->autor_llamada=$data['autor_llamada'];
        $servicio->ilesos=$data['ilesos'];
        $servicio->lesionados=$data['lesionados'];
        $servicio->quemados=$data['quemados'];
        $servicio->muertos=$data['muertos'];
        $servicio->otros=$data['otros'];
        $servicio->Superficie=$data['superficie'];
        $servicio->combustible=$data['combustible'];
        $servicio->reconocimiento=$data['reconocimiento'];
        $servicio->disposiciones=$data['disposiciones'];

resources/views/servicio/editar.blade.php
@extends('layouts.app')

@section('content')
<article class="col-sm-12">
  <div class="panel panel-default">
    <div id="breadcrumb" class="panel-heading">
      <span class="fa fa-edit" aria-hidden="true"></span>
      <h4>Modificar servicio</h4>
    </div>
  <div class="panel-body">

  {!! Form::open([ 'route' =>['servicio.update', $servicio], 'class' => 'form-horizontal', 'method' => 'PUT']) !!}

    @php
    $numero=$servicio->num_servicio;
    $tipo=$servicio->tipo_servicio_id;
    $tipo_alarma=$servicio->tipo_alarma;
    $llamada=$servicio->autor_llamada;
    $direccion=$servicio->direccion;
    $ilesos=$servicio->ilesos;
    $lesionados=$servicio->lesionados;
    $quemados=$servicio->quemados;
    $muertos=$servicio->muertos;
    $otros=$servicio->otros;
    $superficie=$servicio->Superficie;
    $cuartel=$servicio->cuartel_colaborador;
    $combustible=$servicio->combustible;
    $reconocimiento=$servicio->reconocimiento;
    $disposiciones=$servicio->disposiciones;
    $hora=\Carbon\Carbon::parse($servicio->hora_alarma)->format('d/m/Y H:i:s');
    $salida=\Carbon\Carbon::parse($servicio->hora_salida)->format('d/m/Y H:i:s');
    $regreso=\Carbon\Carbon::parse($servicio->hora_regreso)->format('d/m/Y H:i:s');
    $jefe=$servicio->jefe_servicio;
    $oficial=$servicio->oficial;
    $jcuerpo=$servicio->jefe_de_cuerpo;
    @endphp

    {!! Form::hidden('finalizar', 0) !!}
    @include('servicio.formcompleto')

    <div class="col-sm-1 col-sm-offset-5">
      <button type="submit" class="btn btn-primary">
          <i class="glyphicon glyphicon-ok"></i> Finalizar
      </button>
    </div>
  {!! Form::close() !!}

    </div>
  </div>
</article>

@endsection

resources/views/servicio/estadistica.blade.php
@extends('layouts.app')

@section('content')

<article class="col-sm-12">
  <div class="panel panel-default">
    <div id="breadcrumb" class="panel-heading">
      <span class="fa fa-bar-chart" aria-hidden="true"></span>
      <h4>Estadisticas</h4>
    </div>
    <div class="panel-body form-horizontal">
      <div class="form-group col-sm-3">
        {{ Form::label('me', 'Mes:',['class' => 'control-label col-sm-3']) }}
        <div class="col-sm-9">
          {{Form::select('mes', config('selects.meses'),\Carbon\Carbon::now()->format('m'), ['class' => 'form-control','id' => 'mes'])}}
        </div>
      </div>
      <div class="form-group col-sm-3">
        {{ Form::label('añ', 'Año:',['class' => 'control-label col-sm-3']) }}
        <div class="col-sm-9">
          {{Form::text('año', \Carbon\Carbon::now()->format('Y'), ['class' => 'form-control','id'=>'año'])}}
        </div>
      </div>
      <div id="estadistica">

      </div>
    </div>
  </div>
</article>
@endsection

@section('js')
  {!! Html::script('assets/js/ajaxtabla.js') !!}
@endsection

resources/views/servicio/finalizado.blade.php
@extends('layouts.app')

@section('content')
<article class="col-sm-12">
  <div class="panel panel-default">
    <div id="breadcrumb" class="panel-heading">
      <span class="fa fa-check-square-o" aria-hidden="true"></span>
      <h4>Cargar servicio finalizado</h4>
    </div>
    <div class="panel-body">

    {!! Form::open([ 'route' => 'servicio.store', 'class' => 'form-horizontal', 'method' => 'POST']) !!}

      @php
      $tipo_alarma=$tipo=$llamada=$direccion=$cuartel=$reconocimiento=null;
      $disposiciones=$jefe=$oficial=$jcuerpo=$bombero=$involucrados=$primero=null;
      $ilesos=$lesionados=$quemados=$muertos=$otros=$superficie=$combustible=0;
      $numero=$ultimo;
      $hora=\Carbon\Carbon::now(new DateTimeZone('America/Argentina/Buenos_Aires'))->format('d/m/Y H:i:s');
      $salida=\Carbon\Carbon::now(new DateTimeZone('America/Argentina/Buenos_Aires'))->addSeconds(30)->format('d/m/Y H:i:s');
      $regreso=\Carbon\Carbon::now(new DateTimeZone('America/Argentina/Buenos_Aires'))->addSeconds(60)->format('d/m/Y H:i:s');
      @endphp
      
      {!! Form::hidden('finalizar', 1) !!}
      @include('servicio.formcompleto')

      <div class="col-sm-1 col-sm-offset-5">
        <button type="submit" class="btn btn-primary">
            <i class="glyphicon glyphicon-ok"></i> Finalizar
        </button>
      </div>
    {!! Form::close() !!}

    </div>
  </div>
</article>

@endsection

resources/views/servicio/finalizar.blade.php
@extends('layouts.app')

@section('content')
<article class="col-md-12">
  <div class="panel panel-default">
    <div id="breadcrumb" class="panel-heading">
      <span class="fa fa-edit" aria-hidden="true"></span>
      <h4>Finalizar servicio activo</h4>
    </div>
    <div class="panel-body">

    {!! Form::open([ 'route' => ['servicio.update', $servicio], 'class' => 'form-horizontal', 'method' => 'PUT']) !!}

      @php
      $cuartel=$reconocimiento=$disposiciones=$jefe=$oficial=$jcuerpo=$bombero=$involucrados=$primero=null;
      $superficie=$ilesos=$lesionados=$quemados=$muertos=$otros=$combustible=0;
      @endphp
      @php
      $numero=$servicio->num_servicio;
      $tipo=$servicio->tipo_servicio_id;
      $llamada=$servicio->autor_llamada;
      $direccion=$servicio->direccion;
      $hora=\Carbon\Carbon::parse($servicio->hora_alarma)->format('d/m/Y H:i:s');
      if (!$servicio->hora_salida) {
        $salida=\Carbon\Carbon::parse($servicio->hora_alarma)->addSeconds(60)->format('d/m/Y H:i:s');
      }else {
        $salida=\Carbon\Carbon::parse($servicio->hora_salida)->format('d/m/Y H:i:s');
      }
      $tipo_alarma=$servicio->tipo_alarma;
      $regreso=\Carbon\Carbon::now(new DateTimeZone('America/Argentina/Buenos_Aires'))->format('d/m/Y H:i:s');
      @endphp

      {!! Form::hidden('finalizar', 1) !!}
      @include('servicio.formcompleto')

      <div class="col-sm-1 col-sm-offset-5">
        <button type="submit" class="btn btn-primary">
            <i class="glyphicon glyphicon-ok"></i> Finalizar
        </button>
      </div>
    {!! Form::close() !!}

    </div>
  </div>
</article>

@endsection

@section('js')
{!! Html::script('assets/js/toggleDetails.js') !!}
@endsection

resources/views/servicio/info.blade.php
@extends('layouts.app')

@section('content')
<article class="col-sm-12">
  <div class="panel panel-default">
    <div id="breadcrumb" class="panel-heading">
      <span class="fa fa-edit" aria-hidden="true"></span>
      <h4>Servicio Realizado</h4>
    </div>
    <div class="panel-body form-horizontal">

      @php
      $numero=$servicio->num_servicio;
      $tipo=$servicio->tipo_servicio_id;
      $tipo_alarma=$servicio->tipo_alarma;
      $llamada=$servicio->autor_llamada;
      $direccion=$servicio->direccion;
      $ilesos=$servicio->ilesos;
      $lesionados=$servicio->lesionados;
      $quemados=$servicio->quemados;
      $muertos=$servicio->muertos;
      $otros=$servicio->otros;
      $superficie=$servicio->Superficie;
      $cuartel=$servicio->cuartel_colaborador;
      $combustible=$servicio->combustible;
      $reconocimiento=$servicio->reconocimiento;
      $disposiciones=$servicio->disposiciones;
      $hora=\Carbon\Carbon::parse($servicio->hora_alarma)->format('d/m/Y H:i:s');
      $salida=\Carbon\Carbon::parse($servicio->hora_salida)->format('d/m/Y H:i:s');
      $regreso=\Carbon\Carbon::parse($servicio->hora_regreso)->format('d/m/Y H:i:s');
      $jefe=$servicio->jefe_servicio;
      $oficial=$servicio->oficial;
      $jcuerpo=$servicio->jefe_de_cuerpo;
      @endphp
      @include('servicio.formcompleto')
      <div class="col-sm-1 col-sm-offset-5">
        <a href="{{route('ingreso.show', $servicio->id)}}" class="">
        <button type="submit" class="btn btn-primary glyphicon glyphicon-ok">
        Involucrados</button></a>
      </div>
    </div>
  </div>
</article>

@endsection

resources/views/servicio/servicios.blade.php
@extends('layouts.app')

@section('content')

<article class="col-md-12">
  <div class="panel panel-default">
    <div id="breadcrumb" class="panel-heading">
      <span class="fa fa-list" aria-hidden="true"></span>
      <h4>Ultimos servicios realizados</h4>
    </div>

    <div class="col-sm-12">
      <div class="col-md-10 col-sm-12 text-right" style="padding-top: 20px;">
        {{Form::model(Request::all(),['route' => 'servicio.index', 'class' => 'form-horizontal', 'method' => 'GET'])}}
          <div class="col-sm-3">
            {{Form::select('tipo_s',[0=>'Tipo de Servicio'] + config('selects.tipoServicio'),null, ['class' => 'form-control'])}}
          </div>
          <div class="col-sm-3">
            {{Form::select('tipo_a', [''=>'Tipo de Alarma'] + config('selects.tipoAlarma'),null, ['class' => 'form-control'])}}
          </div>
          <div class="col-sm-2">
            {{Form::select('mes', [0=>"MES"] + config('selects.meses'),null, ['class' => 'form-control','id' => 'mes'])}}
          </div>
          <div class="col-sm-2">
            {{Form::text('año', null, ['placeholder'=>\Carbon\Carbon::now()->format('Y'), 'class' => 'form-control'])}}
          </div>
          <div class="col-sm-1">
            {{Form::submit('Buscar', ['class' => 'btn btn-primary']) }}
          </div>
        {{Form::close()}}
      </div>
    </div>

    <div class="panel-body">
      <table  class="table table-bordered">
        <thead><!--Titulos de la tabla-->
          <tr>
            <th class="text-center">Tipo de servicio</th>
            <th class="text-center">Direccion</th>
            <th class="text-center">Hora de regreso</th>
            <th colspan="2"></th>
          </tr>
        </thead>
        <tbody><!--Contenido de la tabla-->
          @foreach ($servicios as $servicio)
            @if ($servicio->hora_regreso)
              <tr>
                <td class="text-center"><a href="{{route('servicio.show', $servicio->id)}}">{{config('selects.tipoServicio')[$servicio->tipo_servicio_id]}}</a></td>
                <td class="text-center">{{$servicio->direccion}}</td>
                <td class="text-center">{{\Carbon\Carbon::parse($servicio->hora_regreso)->format('d/m/Y H:i:s')}}</td>
                @if (Auth::user()->admin)
                  <td class="text-center">
                    {{ Form::open(['route' => ['servicio.destroy', $servicio->id], 'method' => 'delete']) }}
                        <button type="submit" class="glyphicon glyphicon-trash"></button>
                    {{ Form::close() }}
                  </td>
                  <td class="text-center"><a class="glyphicon glyphicon-edit" href="{{ route('servicio.edit', $servicio->id) }}"></a></td>
                @else
                  <td class="text-center" colspan="2">
                    <button type="submit" class="glyphicon glyphicon-ban-circle" title="Sin permisos para eliminar/modificar"></button>
                  </td>
                @endif
              </tr>
            @endif
          @endforeach
        </tbody>
      </table>
      @if (!$ultimos)
        <div class="text-center">
          {{ $servicios->appends(Request::all())->render()}}
        </div>
      @endif
    </div>
  </div>
</article>
@endsection